Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance
Interface ProcessInstance

All Superinterfaces:
  ContextableInstance, ContextInstanceContainer, EventListener, ProcessInstance

All Known Subinterfaces:
  WorkflowProcessInstance

    public interface ProcessInstance

extends ProcessInstance, ContextInstanceContainer, ContextableInstance

A process instance is the representation of a process during its execution. It contains all the runtime status information about the running process. A process can have multiple instances.

Field Summary

Fields inherited from interface org.drools.runtime.process.ProcessInstance
`STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

Method Summary
`org.drools.common.InternalKnowledgeRuntime` | `getKnowledgeRuntime()`
`Process` | `getProcess()`
`void` | `setId(long id)`
`void` | `setKnowledgeRuntime(org.drools.common.InternalKnowledgeRuntime kruntime)`
`void` | `setProcess(Process process)`
`void` | `setState(int state)`
`void` | `start()`

Methods inherited from interface org.drools.runtime.process.ProcessInstance
`getId, getProcessId, getProcessName, getState`

Methods inherited from interface org.drools.runtime.process.EventListener
`getEventTypes, signalEvent`

Methods inherited from interface org.jbpm.process.instance.ContextInstanceContainer
`addContextInstance, getContextContainer, getContextInstance, getContextInstance, getContextInstances, removeContextInstance`

Methods inherited from interface org.jbpm.process.instance.ContextableInstance
`getContextInstance`

Method Detail

### setId

    void setId(long id)

### setProcess

    void setProcess(Process process)

### getProcess

    Process getProcess()

  Specified by:
    `getProcess` in interface `ProcessInstance`

### setState

    void setState(int state)

### setKnowledgeRuntime

    void setKnowledgeRuntime(org.drools.common.InternalKnowledgeRuntime kruntime)

### getKnowledgeRuntime

    org.drools.common.InternalKnowledgeRuntime getKnowledgeRuntime()

### start

    void start()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.